## systemd 249.11

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1-or-later

option('version-tag', type : 'string',
       description : 'override the git version string')

option('mode', type : 'combo', choices : ['developer', 'release'],
       description : 'autoenable features suitable for systemd development/release builds')

option('split-usr', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''/bin, /sbin aren't symlinks into /usr''')
option('split-bin', type : 'combo', choices : ['auto', 'true', 'false'],
       description : '''sbin is not a symlink to bin''')
option('rootlibdir', type : 'string',
       description : '''[/usr]/lib/x86_64-linux-gnu or such''')
option('rootprefix', type : 'string',
       description : '''override the root prefix [default '/' if split-usr and '/usr' otherwise]''')
option('link-udev-shared', type : 'boolean',
       description : 'link systemd-udev and its helpers to libsystemd-shared.so')
option('link-systemctl-shared', type: 'boolean',
       description : 'link systemctl against libsystemd-shared.so')
option('link-networkd-shared', type: 'boolean',
       description : 'link systemd-networkd and its helpers to libsystemd-shared.so')
option('link-timesyncd-shared', type: 'boolean',
       description : 'link systemd-timesyncd and its helpers to libsystemd-shared.so')
option('static-libsystemd', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : '''install a static library for libsystemd''')
option('static-libudev', type : 'combo',
       choices : ['false', 'true', 'pic', 'no-pic'],
       description : 'install a static library for libudev')
option('standalone-binaries', type : 'boolean', value : 'false',
       description : 'also build standalone versions of supported binaries')

option('sysvinit-path', type : 'string', value : '/etc/init.d',
       description : 'the directory where the SysV init scripts are located')
option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
       description : 'the base directory for SysV rcN.d directories')
option('telinit-path', type : 'string', value : '/lib/sysvinit/telinit',
       description : 'path to telinit')
option('rc-local', type : 'string',
       value : '/etc/rc.local')
option('initrd', type : 'boolean',
       description : 'install services for use when running systemd in initrd')
option('compat-mutable-uid-boundaries', type : 'boolean', value : 'false',
       description : 'look at uid boundaries in /etc/login.defs for compatibility')
option('nscd', type : 'boolean',
       description : 'build support for flushing of the nscd caches')

option('quotaon-path', type : 'string', description : 'path to quotaon')
option('quotacheck-path', type : 'string', description : 'path to quotacheck')
option('kmod-path', type : 'string', description : 'path to kmod')
option('kexec-path', type : 'string', description : 'path to kexec')
option('sulogin-path', type : 'string', description : 'path to sulogin')
option('mount-path', type : 'string', description : 'path to mount')
option('umount-path', type : 'string', description : 'path to umount')
option('loadkeys-path', type : 'string', description : 'path to loadkeys')
option('setfont-path', type : 'string', description : 'path to setfont')
option('nologin-path', type : 'string', description : 'path to nologin')

option('debug-shell', type : 'string', value : '/bin/sh',
       description : 'path to debug shell binary')
option('debug-tty', type : 'string', value : '/dev/tty9',
       description : 'specify the tty device for debug shell')
option('debug-extra', type : 'array', choices : ['hashmap', 'mmap-cache', 'siphash'], value : [],
       description : 'enable extra debugging')
option('memory-accounting-default', type : 'boolean',
       description : 'enable MemoryAccounting= by default')
option('bump-proc-sys-fs-file-max', type : 'boolean',
       description : 'bump /proc/sys/fs/file-max to LONG_MAX')
option('bump-proc-sys-fs-nr-open', type : 'boolean',
       description : 'bump /proc/sys/fs/nr_open to INT_MAX')
option('valgrind', type : 'boolean', value : false,
       description : 'do extra operations to avoid valgrind warnings')
option('log-trace', type : 'boolean', value : false,
       description : 'enable low level debug logging')
option('user-path', type : 'string',
       description : '$PATH to use for user sessions')

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
option('hibernate', type : 'boolean',
       description : 'support for hibernation')
option('ldconfig', type : 'boolean',
       description : 'support for dynamic linker cache creation')
option('resolve', type : 'boolean',
       description : 'systemd-resolved stack')
option('efi', type : 'boolean',
       description : 'enable systemd-boot and bootctl')
option('tpm', type : 'boolean',
       description : 'TPM should be used to log events and extend the registers')
option('environment-d', type : 'boolean',
       description : 'support for environment.d')
option('binfmt', type : 'boolean',
       description : 'support for custom binary formats')
option('repart', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-repart tool')
option('coredump', type : 'boolean',
       description : 'install the coredump handler')
option('pstore', type : 'boolean',
       description : 'install the pstore archival tool')
option('oomd', type : 'boolean',
       description : 'install the userspace oom killer')
option('logind', type : 'boolean',
       description : 'install the systemd-logind stack')
option('hostnamed', type : 'boolean',
       description : 'install the systemd-hostnamed stack')
option('localed', type : 'boolean',
       description : 'install the systemd-localed stack')
option('machined', type : 'boolean',
       description : 'install the systemd-machined stack')
option('portabled', type : 'boolean',
       description : 'install the systemd-portabled stack')
option('sysext', type : 'boolean',
       description : 'install the systemd-sysext stack')
option('userdb', type : 'boolean',
       description : 'install the systemd-userdbd stack')
option('homed', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-homed stack')
option('networkd', type : 'boolean',
       description : 'install the systemd-networkd stack')
option('timedated', type : 'boolean',
       description : 'install the systemd-timedated daemon')
option('timesyncd', type : 'boolean',
       description : 'install the systemd-timesyncd daemon')
option('remote', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'support for "journal over the network"')
option('create-log-dirs', type : 'boolean',
       description : 'create /var/log/journal{,/remote}')
option('nss-myhostname', type : 'boolean',
       description : 'install nss-myhostname module')
option('nss-mymachines', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install nss-mymachines module')
option('nss-resolve', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install nss-resolve module')
option('nss-systemd', type : 'boolean',
       description : 'install nss-systemd module')
option('firstboot', type : 'boolean',
       description : 'support for firstboot mechanism')
option('randomseed', type : 'boolean',
       description : 'support for restoring random seed')
option('backlight', type : 'boolean',
       description : 'support for restoring backlight state')
option('vconsole', type : 'boolean',
       description : 'support for vconsole configuration')
option('quotacheck', type : 'boolean',
       description : 'support for the quotacheck tools')
option('sysusers', type : 'boolean',
       description : 'support for the sysusers configuration')
option('tmpfiles', type : 'boolean',
       description : 'support for tmpfiles.d')
option('importd', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-importd daemon')
option('hwdb', type : 'boolean',
       description : 'support for the hardware database')
option('rfkill', type : 'boolean',
       description : 'support for the rfkill tools')
option('xdg-autostart', type : 'boolean',
       description : 'install the xdg-autostart-generator and unit')
option('man', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install man pages')
option('html', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install html pages')
option('translations', type : 'boolean', value : true,
       description : 'build and install translations')

option('certificate-root', type : 'string', value : '/etc/ssl',
       description : 'the prefix for TLS certificates')
option('dbuspolicydir', type : 'string',
       description : 'D-Bus policy directory')
option('dbussessionservicedir', type : 'string',
       description : 'D-Bus session service directory')
option('dbussystemservicedir', type : 'string',
       description : 'D-Bus system service directory')
option('pkgconfigdatadir', type : 'string', value : '',
       description : 'directory for arch-independent pkg-config files')
option('pkgconfiglibdir', type : 'string', value : '',
       description : 'directory for standard pkg-config files')
option('xinitrcdir', type : 'string', value : '',
       description : 'directory for xinitrc files')
option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',
       description : 'directory for rpm macros ["no" disables]')
option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('pamconfdir', type : 'string',
       description : 'directory for PAM configuration ["no" disables]')
option('docdir', type : 'string',
       description : 'documentation directory')
option('install-sysconfdir', type : 'combo', choices : ['true', 'no-samples', 'false'], value : 'true',
       description : 'install configuration files and directories to $sysconfdir')

option('fallback-hostname', type : 'string', value : 'localhost',
       description : 'the hostname used if none configured')
option('default-hierarchy', type : 'combo',
       choices : ['legacy', 'hybrid', 'unified'], value : 'unified',
       description : 'default cgroup hierarchy')
option('default-net-naming-scheme', type : 'combo',
       choices : ['latest', 'v238', 'v239', 'v240', 'v241', 'v243', 'v245', 'v247', 'v249'],
       description : 'default net.naming-scheme= value')
option('status-unit-format-default', type : 'combo',
       choices : ['description', 'name', 'combined'],
       description : 'use unit name or description in messages by default')
option('time-epoch', type : 'integer', value : '-1',
       description : 'time epoch for time clients')

option('system-alloc-uid-min', type : 'integer', value : '-1',
       description : 'minimum system UID used when allocating')
option('system-alloc-gid-min', type : 'integer', value : '-1',
       description : 'minimum system GID used when allocating')
option('system-uid-max', type : 'integer', value : '-1',
       description : 'maximum system UID')
option('system-gid-max', type : 'integer', value : '-1',
       description : 'maximum system GID')
option('dynamic-uid-min', type : 'integer', value : 0x0000EF00,
       description : 'minimum dynamic UID')
option('dynamic-uid-max', type : 'integer', value : 0x0000FFEF,
       description : 'maximum dynamic UID')
option('container-uid-base-min', type : 'integer', value : 0x00080000,
       description : 'minimum container UID base')
option('container-uid-base-max', type : 'integer', value : 0x6FFF0000,
       description : 'maximum container UID base')
option('adm-group', type : 'boolean',
       description : 'the ACL for adm group should be added')

=== debian/changelog ===
systemd (249.11-0ubuntu3) jammy; urgency=medium

  * oomd: calculate 'used' memory with MemAvailable instead of MemFree (LP: #1966381)
    File: debian/patches/lp1966381-oomd-calculate-used-memory-with-MemAvailable-instead-of-M.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=15fc4c53d726e1dcae7296a9306cfd453fd1a046
  * hwdb: remove the tablet pad entry for the UC-Logic 1060N (LP: #1926860)
    File: debian/patches/lp1926860-hwdb-remove-the-tablet-pad-entry-for-the-UC-Logic-1060N.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=7bf31946a52e55f9f6ea4ecfa30e311685b20997

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 07 Apr 2022 15:28:15 -0400

systemd (249.11-0ubuntu2) jammy; urgency=medium

  * Fix calculator key on HP Omen, using upstream 6f2353a & 7092021 (LP: #1929345)
    Files:
    - debian/patches/lp1929345/hwdb-Add-force-release-for-HP-Omen-15-calculator-key.-205.patch
    - debian/patches/lp1929345/hwdb-Force-release-calculator-key-on-all-HP-OMEN-laptops.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=f834f64842191c7c7af450806964297babc764d5

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 18 Mar 2022 17:12:07 +0100

systemd (249.11-0ubuntu1) jammy; urgency=medium

  * Merge 249.11 bugfix release from upstream systemd-stable
  * Drop patches applied in upstream systemd-stable v249.11
    File: debian/patches/pid1-set-SYSTEMD_NSS_DYNAMIC_BYPASS-1-env-var-for-dbus-da.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=67b0362ae91711e037e89ba72af947b788319be5
  * Refresh patches
    File: debian/patches/debian/UBUNTU-wait-online-exit-if-no-links-are-managed.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ef686a8d28ab452ae4756ab2367a322be66d6262

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 14 Mar 2022 10:57:42 +0100

systemd (249.10-0ubuntu2) jammy; urgency=medium

  * Fix deadlock between pid1 and dbus-daemon (LP: #1871538)
    File: debian/patches/pid1-set-SYSTEMD_NSS_DYNAMIC_BYPASS-1-env-var-for-dbus-da.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=100a7bfc2d0f82c3afbede04a022c655529cffac
  * Don't override Ubuntu's default sysctl values (LP: #1962038)
    File: debian/patches/debian/UBUNTU-Don-t-override-Ubuntu-s-default-sysctl-values-LP-1962038.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b10cdb7da3539b3a3c3e619b470a75c83e46ef11

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 08 Mar 2022 14:58:00 +0100

systemd (249.10-0ubuntu1) jammy; urgency=medium

  [ Lukas Märdian ]
  * Merge 249.10 from upstream
  * Denylist 29-PORTABLE & 50-DISSECT
    Files:
    - debian/patches/deny-list-TEST-29-PORTABLE-and-TEST-50-DISSECT.patch
    - debian/patches/deny-list-TEST-29-PORTABLE-on-ppc64el.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c16d9b8201f2321395f817e77ec07df5aef152a9

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 16 Feb 2022 19:08:40 +0100

systemd (249.9-0ubuntu2) jammy; urgency=medium

  * Skip flaky 55-OOMD test on ppc64el
    File: debian/patches/deny-list-TEST-55-OOMD-on-ppc64el.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=211f8962ce89d416c2866444e0e2da794ecd5dd1

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 28 Jan 2022 10:46:41 +0100

systemd (249.9-0ubuntu1) jammy; urgency=medium

  [ Lukas Märdian ]
  * Merge 249.7-1 from Debian
    - d/rules: re-enable LTO
      File: debian/rules
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=616eb2eb7d2b30e50acc9cccdc39a7264c5582fb
    - Refresh and drop patches, applied upstream
      Files:
      - debian/patches/Merge-pull-request-20705-from-yuwata-test-oomd-util.patch
      - debian/patches/lp1952599/0001-virt-Support-detection-for-ARM64-Hyper-V-guests.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=877259bfeb7106a923b3066ad2c10fba2405195e
  * Merge 249.9 from upstream
    - Refresh and drop patches, applied upstream
      Files:
      - debian/patches/CVE-2021-3997-1.patch
      - debian/patches/CVE-2021-3997-2.patch
      - debian/patches/CVE-2021-3997-3.patch
      - debian/patches/linux-5.15-compat-ioprio/test-make-test-execute-pass-on-Linux-5.15.patch
      - debian/patches/lp1952599/0002-virt-Fix-the-detection-for-Hyper-V-VMs.patch
      - debian/patches/rm-rf-optionally-fsync-after-removing-directory-tree.patch
      - debian/patches/rm-rf-refactor-rm-rf-children-split-out-body-of-directory.patch
      - debian/patches/debian/udev-drop-SystemCallArchitectures-native-from-systemd-ude.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=21b655193a5b91415d75516e458dcc5bce8855c0
    - Disable new test case for UMask=+BindPaths= combination (LP: #1959013)
      File: debian/patches/0001-Revert-tests-add-test-case-for-UMask-BindPaths-combi.patch
      https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5e9df936d2625c84856b101881e217064571e7e7
  * Fix build in local git tree
    meson is checking `git ls-files` if built inside a git tree (dpkg-buildpackage,
    gbp buildpackage) and complaining about the missing src/basic/ioprio.h file.
    So we should keep that file around (empty) to avoid this failure.
    File: debian/patches/linux-5.15-compat-ioprio/Get-rid-of-ioprio.h-and-add-a-minimalistic-reimplementati.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=94f21032cd1d6e9dfae8d8f892bc627dbf9b4414
  * Add lp1955997-unmask-intel-hid-for-HP-machines.patch (LP: #1955997)
    File: debian/patches/lp1955997-unmask-intel-hid-for-HP-machines.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b90d59c81a1fd8a00e10147b1f5fd9bcf135d40e
  * d/rules: Enable build of systemd-oomd


=== debian/control ===
Source: systemd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Marco d'Itri <md@linux.it>,
           Sjoerd Simons <sjoerd@debian.org>,
           Martin Pitt <mpitt@debian.org>,
           Felipe Sateler <fsateler@debian.org>
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
Vcs-Browser:  https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
Homepage: https://www.freedesktop.org/wiki/Software/systemd
Build-Depends: debhelper-compat (= 13),
               pkg-config,
               xsltproc,
               docbook-xsl,
               docbook-xml,
               meson (>= 0.52.1),
               gettext,
               gperf,
               gnu-efi [amd64 i386 arm64 armhf],
               libcap-dev (>= 1:2.24-9~),
               libpam0g-dev,
               libapparmor-dev (>= 2.13) <!stage1>,
               libidn2-dev <!stage1>,
               libiptc-dev <!stage1>,
               libaudit-dev <!stage1>,
               libdbus-1-dev (>= 1.3.2) <!nocheck> <!noinsttest>,
               libcryptsetup-dev (>= 2:1.6.0) <!stage1>,
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               liblzma-dev,
               liblz4-dev (>= 0.0~r125),
               liblz4-tool <!nocheck>,
               libbz2-dev <!stage1>,
               zlib1g-dev <!stage1> | libz-dev <!stage1>,
               libcurl4-gnutls-dev <!stage1> | libcurl-dev <!stage1>,
               libmicrohttpd-dev <!stage1>,
               libgnutls28-dev <!stage1>,
               libpcre2-dev <!stage1>,
               libgcrypt20-dev,
               libkmod-dev (>= 15),
               libblkid-dev (>= 2.24),
               libmount-dev (>= 2.30),
               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el riscv64 s390x],
               libdw-dev (>= 0.158) <!stage1>,
               libpolkit-gobject-1-dev <!stage1>,
               libzstd-dev (>= 1.4.0),
               linux-base <!nocheck>,
               acl <!nocheck>,
               python3:native,
               python3-jinja2:native,
               python3-lxml:native,
               python3-pyparsing:native <!nocheck>,
               python3-evdev:native <!nocheck>,
               tzdata <!nocheck>,
               libcap2-bin <!nocheck>,
               iproute2 <!nocheck>,
               zstd <!nocheck>,
               gawk <!nocheck>,

Package: systemd
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: important
Recommends: default-dbus-system-bus | dbus-system-bus,
            networkd-dispatcher,
            systemd-timesyncd | time-daemon,
Suggests: systemd-container,
          policykit-1
Pre-Depends: ${shlibs:Pre-Depends},
             ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version}),
         util-linux (>= 2.27.1),
         mount (>= 2.26),
         adduser,
Conflicts: consolekit,
           libpam-ck-connector,
           systemd-shim,
Breaks: resolvconf (<< 1.83~),
        udev (<< 247~),
Provides: systemd-sysusers (= ${binary:Version}),
          systemd-tmpfiles (= ${binary:Version}),
Description: system and service manager
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes using
 Linux control groups, maintains mount and automount points and implements an
 elaborate transactional dependency-based service control logic.
 .
 systemd is compatible with SysV and LSB init scripts and can work as a
 drop-in replacement for sysvinit.
 .
 Installing the systemd package will not switch your init system unless you
 boot with init=/lib/systemd/systemd or install systemd-sysv in addition.

Package: systemd-sysv
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: important
Conflicts: sysvinit-core,
           file-rc,
           systemd-shim,
Replaces: sysvinit-core,
Pre-Depends: systemd
Depends: ${shlibs:Depends},
         systemd (= ${binary:Version}),
         ${misc:Depends}
Recommends: libpam-systemd,
            libnss-systemd
Description: system and service manager - SysV links
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes using
 Linux control groups, maintains mount and automount points and implements an
 elaborate transactional dependency-based service control logic.
 .
 systemd is compatible with SysV and LSB init scripts and can work as a
 drop-in replacement for sysvinit.
 .
 This package provides the manual pages and links needed for systemd
 to replace sysvinit. Installing systemd-sysv will overwrite /sbin/init with a
 link to systemd.

Package: systemd-container
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
         default-dbus-system-bus | dbus-system-bus
Recommends: libnss-mymachines,
Description: systemd container/nspawn tools
 This package provides systemd's tools for nspawn and container/VM management:
  * systemd-nspawn
  * systemd-machined and machinectl
  * systemd-importd
  * systemd-portabled and portablectl

Package: systemd-journal-remote
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
         adduser
Description: tools for sending and receiving remote journal logs
 This package provides tools for sending and receiving remote journal logs:
  * systemd-journal-remote
  * systemd-journal-upload
  * systemd-journal-gatewayd

Package: systemd-coredump
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         systemd
Conflicts: core-dump-handler
Replaces: core-dump-handler
Provides: core-dump-handler
Description: tools for storing and retrieving coredumps
 This package provides systemd tools for storing and retrieving coredumps:
  * systemd-coredump
  * coredumpctl

Package: systemd-timesyncd
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: standard
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         systemd
Breaks: systemd (<< 245.4-2~),
Conflicts: time-daemon
Replaces: time-daemon,
          systemd (<< 245.4-2~),
Provides: time-daemon
Description: minimalistic service to synchronize local time with NTP servers
 The package contains the systemd-timesyncd system service that may be used to
 synchronize the local system clock with a remote Network Time Protocol server.

Package: systemd-tests
Architecture: linux-any
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         python3,
Build-Profiles: <!noinsttest>
Description: tests for systemd
 This package contains the test binaries. Those binaries are primarily used
 for autopkgtest and not meant to be installed on regular user systems.

Package: libpam-systemd
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: standard
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         libpam-runtime (>= 1.0.1-6),
         default-dbus-system-bus | dbus-system-bus,
         systemd-sysv
Provides: logind (= ${binary:Version}), default-logind (= ${binary:Version})
Description: system and service manager - PAM module
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy for logind.
 .
 If in doubt, do install this package.
 .
 Packages that depend on logind functionality need to depend on libpam-systemd.

Package: libnss-myhostname
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: nss module providing fallback resolution for the current hostname
 This package contains a plugin for the Name Service Switch, providing host
 name resolution for the locally configured system hostname as returned by
 gethostname(2). It returns all locally configured public IP addresses or -- if
 none are configured, the IPv4 address 127.0.1.1 (which is on the local
 loopback) and the IPv6 address ::1 (which is the local host).
 .
 A lot of software relies on that the local host name is resolvable. This
 package provides an alternative to the fragile and error-prone manual editing
 of /etc/hosts.
 .
 Installing this package automatically adds myhostname to /etc/nsswitch.conf.

Package: libnss-mymachines
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd-container (= ${binary:Version}),
Description: nss module to resolve hostnames for local container instances
 nss-mymachines is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing hostname resolution for local containers
 that are registered with systemd-machined.service(8). The container names are
 resolved to IP addresses of the specific container, ordered by their scope.
 .
 Installing this package automatically adds mymachines to /etc/nsswitch.conf.

Package: libnss-resolve
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
Description: nss module to resolve names via systemd-resolved
 nss-resolve is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing DNS and LLMNR resolution to programs via
 the systemd-resolved daemon (provided in the systemd package).
 .
 Installing this package automatically adds resolve to /etc/nsswitch.conf.

Package: libnss-systemd
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: standard
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
Description: nss module providing dynamic user and group name resolution
 nss-systemd is a plug-in module for the GNU Name Service Switch (NSS)
 functionality of the GNU C Library (glibc), providing UNIX user and group name
 resolution for dynamic users and groups allocated through the DynamicUser=
 option in systemd unit files. See systemd.exec(5) for details on this
 option.
 .
 Installing this package automatically adds the module to /etc/nsswitch.conf.

Package: libsystemd0
Architecture: linux-any
Multi-Arch: same
Section: libs
Priority: optional
Pre-Depends: ${shlibs:Depends},
             ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: systemd utility library
 The libsystemd0 library provides interfaces to various systemd components.

Package: libsystemd-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version})
Description: systemd utility library - development files
 The libsystemd0 library provides interfaces to various systemd components.
 .
 This package contains the development files.

Package: udev
Section: admin
Priority: important
Architecture: linux-any
Multi-Arch: foreign

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
#export DEB_BUILD_OPTIONS = nostrip

export LC_ALL = C.UTF-8

include /usr/share/dpkg/default.mk

ifeq ($(DEB_VENDOR),Ubuntu)
    DEFAULT_NTP_SERVERS = ntp.ubuntu.com
    SUPPORT_URL = http://www.ubuntu.com/support
    CONFFLAGS_DISTRO = -Dtpm-pcrindex=12
ifeq ($(DEB_HOST_ARCH),amd64)
# enable CET on ubuntu amd64, until compiler is fixed to do it correctly with
# -flto
export DEB_LDFLAGS_MAINT_APPEND=-fcf-protection
endif
else
    DEFAULT_NTP_SERVERS = 0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org
    SUPPORT_URL = https://www.debian.org/support
    CONFFLAGS_DISTRO =
endif

TEST_TIMEOUT_MULTIPLIER = "-t 10"

# fail on missing files and symbols changes on distro builds, but not if we
# build/test upstream master
ifeq ($(TEST_UPSTREAM),)
    DH_MISSING = --fail-missing
    GENSYMBOLS_LEVEL = 4
else
    DH_MISSING = --list-missing
    GENSYMBOLS_LEVEL = 1
endif

ifneq (, $(filter noudeb, $(DEB_BUILD_OPTIONS)))
export DEB_BUILD_PROFILES += noudeb
endif

CONFFLAGS = \
	-Db_lto=true \
	-Db_pie=true \
	-Dmode=release \
	-Drootlibdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-Dsplit-usr=true \
	-Duser-path=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin \
	-Dversion-tag="$(DEB_VERSION)" \
	-Dquotaon-path=/sbin/quotaon \
	-Dquotacheck-path=/sbin/quotacheck \
	-Dkmod-path=/bin/kmod \
	-Dkexec-path=/sbin/kexec \
	-Dsulogin-path=/sbin/sulogin \
	-Dmount-path=/bin/mount \
	-Dumount-path=/bin/umount \
	-Dloadkeys-path=/bin/loadkeys \
	-Dsetfont-path=/bin/setfont \
	-Dnologin-path=/usr/sbin/nologin \
	-Dtelinit-path=/lib/sysvinit/telinit \
	-Dsysvinit-path=/etc/init.d \
	-Dsysvrcnd-path=/etc \
	-Dlocalegen-path=/usr/sbin/locale-gen \
	-Ddebug-shell=/bin/bash \
	-Dzshcompletiondir=/usr/share/zsh/vendor-completions \
	-Ddbuspolicydir=/usr/share/dbus-1/system.d/ \
	-Dsupport-url=$(SUPPORT_URL) \
	-Ddefault-kill-user-processes=false \
	-Ddefault-hierarchy=unified \
	-Ddefault-dnssec=no \
	-Ddefault-llmnr=no \
	-Ddefault-mdns=no \
	-Dpamconfdir=no \
	-Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security \
	-Drpmmacrosdir=no \
	-Dqrencode=false \
	-Dvconsole=false \
	-Dfirstboot=false \
	-Dxkbcommon=false \
	-Dwheel-group=false \
	-Drepart=false \
	-Duserdb=false \
	-Dhomed=false \
	-Dlibfido2=false \
	-Dfdisk=false \
	-Dpwquality=false \
	-Dp11kit=false \
	-Dtpm2=false \
	-Doomd=true \
	-Dsysext=true \
	-Dnscd=true \
	-Dntp-servers="$(DEFAULT_NTP_SERVERS)" \
	-Ddns-servers='' \
	-Dlink-udev-shared=false \
	-Dsystem-uid-max=999 \
	-Dsystem-gid-max=999 \
	-Dnobody-user=nobody \
	-Dnobody-group=nogroup \
	-Dbump-proc-sys-fs-nr-open=false \
	-Ddev-kvm-mode=0660 \
	-Dgroup-render-mode=0660

CONFFLAGS_deb = \
	-Dselinux=true \
	-Dhwdb=true \
	-Dsysusers=true \
	-Dinstall-tests=$(if $(filter noinsttest,$(DEB_BUILD_PROFILES)),false,true) \
	-Defi=true \
	-Dman=true \
	-Dtranslations=true \
	-Dnss-myhostname=true \
	-Dnss-mymachines=true \
	-Dnss-resolve=true \
	-Dnss-systemd=true \
	-Dresolve=true \
	-Dstandalone-binaries=true \
	-Dlink-systemctl-shared=false

ifeq (, $(filter stage1, $(DEB_BUILD_PROFILES)))
CONFFLAGS_deb += \
	-Daudit=true \
	-Dlibcryptsetup=true \
	-Dcoredump=true \
	-Delfutils=true \
	-Dapparmor=true \
	-Dlibidn2=true \
	-Dlibiptc=true \
	-Dlibcurl=true \
	-Dimportd=true \
	-Dmicrohttpd=true \
	-Dgnutls=true \
	-Dpcre2=true
else
CONFFLAGS_deb += \
	-Daudit=false \
	-Dlibcryptsetup=false \
	-Dcoredump=false \
	-Delfutils=false \
	-Dapparmor=false \
	-Dlibidn2=false \
	-Dlibiptc=false \
	-Dlibcurl=false \
	-Dimportd=false \
	-Dmicrohttpd=false \
	-Dgnutls=false \
	-Dpcre2=false
endif

CONFFLAGS_udeb = \
	-Dlibcryptsetup=false \
	-Dcoredump=false \
	-Delfutils=false \
	-Dpam=false \
	-Daudit=false \
	-Dselinux=false\
	-Dapparmor=false \
	-Dlibidn2=false \
	-Dlibiptc=false \
	-Dsmack=false \
	-Dima=false \
	-Dbinfmt=false \
	-Dquotacheck=false \
	-Dtmpfiles=false \
	-Drandomseed=false \
	-Dbacklight=false \
	-Dlogind=false \
	-Dmachined=false \
	-Dlibcurl=false \
	-Dimportd=false \
	-Dmicrohttpd=false \
	-Dgnutls=false \
	-Dhostnamed=false \
	-Dtimedated=false \
	-Dnetworkd=false \
	-Dtimesyncd=false \
	-Dlocaled=false \
	-Dnss-myhostname=false \
	-Dnss-mymachines=false \
	-Dnss-resolve=false \
	-Dnss-systemd=false \
	-Dresolve=false \
	-Doomd=false \
	-Dportabled=false \
	-Dpolkit=false \
	-Dacl=false \
	-Dgcrypt=false \
	-Drfkill=false \
	-Dhwdb=false \
	-Dman=false \
	-Dtranslations=false \
	-Defi=false \
	-Dseccomp=false \
	-Dsysusers=false \
	-Dpcre2=false

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-deb \
		-- $(CONFFLAGS) $(CONFFLAGS_DISTRO) $(CONFFLAGS_deb) $(CONFFLAGS_UPSTREAM)
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_auto_configure --builddirectory=build-udeb \
		-- $(CONFFLAGS) $(CONFFLAGS_DISTRO) $(CONFFLAGS_udeb) $(CONFFLAGS_UPSTREAM)
endif

override_dh_auto_build:
	dh_auto_build --builddirectory=build-deb
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_auto_build --builddirectory=build-udeb
endif
	# generate POT file for translators
	ninja -C build-deb/ systemd-pot

override_dh_auto_install:
	dh_auto_install --builddirectory=build-deb \
		--destdir=debian/install/deb
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_auto_install --builddirectory=build-udeb \
		--destdir=debian/install/udeb
endif
	# fix paths in manpages; manually check the remaining /usr occurrences
	# occasionally, with filtering out paths which are known to be in /usr:
	# grep -r /usr debian/install/deb/usr/share/man/|egrep -v '/usr/local|os.*release|factory|zoneinfo|tmpfiles|kernel|foo|machines|sysctl|dbus|include|binfmt'
	find debian/install/deb/usr/share/man/ -type f | xargs sed -ri 's_/usr(/lib/systemd/system|/lib/systemd/network|/lib/udev|/lib[^/]|/lib/[^a-z])_\1_g'

override_dh_auto_clean:
ifneq (, $(TEST_UPSTREAM))
	debian/extra/checkout-upstream
endif
	dh_auto_clean --builddirectory=build-deb
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_auto_clean --builddirectory=build-udeb
endif
	rm -rf debian/install/ debian/shlibs.local
	# remove Python byte code files
	rm -rf tools/__pycache__/
	rm -rf tools/chromiumos/__pycache__/
	rm -f po/systemd.pot

override_dh_install:
	# remove unnecessary / unused files
	rm -f debian/install/*/usr/share/doc/systemd/LICENSE.*
	rm -f debian/install/*/var/log/README
	rm -f debian/install/*/etc/init.d/README
	rm -f debian/install/*/lib/*.d/README
	rm -f debian/install/*/lib/udev/*.d/README
	rm -f debian/install/*/usr/lib/*.d/README
	rm -f debian/install/*/etc/X11/xinit/xinitrc.d/50-systemd-user.sh
	rmdir -p --ignore-fail-on-non-empty debian/install/*/etc/X11/xinit/xinitrc.d/
	# remove files related to factory-reset feature
	find debian/install/ \( -name 'systemd-update-done*' -o \
		-name systemd-journal-catalog-update.service -o \
		-name systemd-hwdb-update.service -o \
		-name ldconfig.service -o \
		-name etc.conf \) -print -delete
	rm -rf debian/install/*/usr/share/factory/
	# replace upstream sysusers.d/basic.conf with proper users for Debian
	debian/extra/make-sysusers-basic > debian/install/deb/usr/lib/sysusers.d/basic.conf
	# remove resolvconf compat symlink
	rm -f debian/install/*/sbin/resolvconf
	# remove obsolete compat symlink
	rm -f debian/install/*/usr/bin/systemd-resolve
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_install -pudev-udeb -plibudev1-udeb --sourcedir=debian/install/udeb
endif

	dh_install --remaining-packages --sourcedir=debian/install/deb

	# install standalone binaries
	for pkg in sysusers tmpfiles; do \
		mkdir -p debian/systemd-standalone-$$pkg/bin; \
		mv debian/systemd/bin/systemd-$$pkg.standalone debian/systemd-standalone-$$pkg/bin/systemd-$$pkg; \
	done

	# we don't want /tmp to be a tmpfs by default
	mv debian/systemd/lib/systemd/system/tmp.mount debian/systemd/usr/share/systemd/
	printf '\n[Install]\nWantedBy=local-fs.target\n' >> debian/systemd/usr/share/systemd/tmp.mount
	rm debian/systemd/lib/systemd/system/local-fs.target.wants/tmp.mount

=== debian/tests/control ===
Tests: timedated, hostnamed, localed-locale, localed-x11-keymap, logind
Depends: systemd,
  systemd-timesyncd,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
Restrictions: needs-root, isolation-container

Tests: unit-config
Depends: systemd,
  udev,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
Restrictions: needs-root, allow-stderr

Tests: storage
Depends: systemd,
  udev,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
Restrictions: needs-root, isolation-machine

Tests: networkd-test.py
Tests-Directory: test
Depends: systemd,
  udev,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
  systemd-sysv,
  policykit-1,
  dnsmasq-base
Restrictions: needs-root, isolation-container

Tests: build-login
Depends: systemd,
  udev,
  libpam-systemd,
  libnss-systemd,
  acl,
  locales,
  evemu-tools,
  python3,
  pkg-config,
  cryptsetup-bin,
  systemd-sysv,
  policykit-1,
  dnsmasq-base,
  build-essential,
  libsystemd-dev,
Restrictions: isolation-container

Tests: boot-and-services
Depends: systemd-sysv,
  systemd,
  udev,
  systemd-container,
  systemd-coredump,
  libpam-systemd,
  xserver-xorg-video-dummy,
  xserver-xorg,
  gdm3 [amd64],
  cron,
  network-manager,
  busybox-static,
  rsyslog,
  apparmor,
  pkg-config,
  python3
Restrictions: needs-root, isolation-container, breaks-testbed

Tests: udev
Depends: systemd-tests,
  udev,
  python3,
  tree,
  perl,
  xz-utils,
Restrictions: needs-root, allow-stderr, isolation-machine, skippable

Tests: unit-tests
Depends: systemd-tests,
  libpam-systemd,
  udev,
  tree,
  perl,
  python3,
  python3-colorama,
  xz-utils,
  libcap2-bin,
  iproute2,
  liblz4-tool,
  acl,
  iputils-ping,
  dbus-user-session,
  zstd,
Restrictions: needs-root, isolation-container, breaks-testbed

Tests: tests-in-lxd
Depends: systemd-tests,
  udev,
  libpam-systemd,
  autopkgtest,
  lsb-release,
  lxd
Restrictions: needs-root, allow-stderr, isolation-machine, breaks-testbed, skip-not-installable, skippable

Tests: upstream-1, upstream-2
Depends: systemd-tests,
  systemd-journal-remote,
  systemd-container,
  systemd-coredump,
  systemd-timesyncd,
  systemd-oomd,
  attr,
  tree,
  perl,
  xz-utils,
  libcap2-bin,
  iproute2,
  liblz4-tool,
  acl,
  dmeventd,
  kbd,
  cryptsetup-bin,
  net-tools,
  isc-dhcp-client,
  iputils-ping,
  strace,
  qemu-system-x86 [amd64 i386],
  qemu-system-arm [arm64 armhf],
  qemu-system-ppc [ppc64el],
  qemu-system-s390x [s390x],
  seabios,
  less,
  pkg-config,
  gcc,
  libc6-dev | libc-dev,
  make,
  quota,
  fdisk,
  netcat-openbsd,
  socat,
  busybox-static,
  plymouth,
  e2fsprogs,
  zstd,
  squashfs-tools,
  vim-tiny,
  dosfstools,
Restrictions: needs-root, allow-stderr, isolation-machine

Tests: boot-smoke
Depends: systemd-sysv,
  network-manager,
  gdm3 [!s390x],
  xserver-xorg-video-dummy,
  systemd,

## systemd 249.11-0ubuntu3.6+11.0trisquel1

=== debian/changelog ===
systemd (249.11-0ubuntu3.6+11.0trisquel1) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Nov 2022 19:45:12 +0000

systemd (249.11-0ubuntu3.6) jammy; urgency=medium

  * Deny-list TEST-58-REPART on ppc64el (LP: #1988994)
    File: debian/patches/lp1988994-Deny-list-TEST-58-REPART-on-ppc64el.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d2ed3cc1d223bf35015b15ff83b50156b58f0f38

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 09 Sep 2022 14:47:16 -0400

systemd (249.11-0ubuntu3.5) jammy; urgency=medium

  [ Nick Rosbrook ]
  * Ensure dns_search_domain_unlink_marked removes all marked domains (LP: #1975667)
    File: debian/patches/lp1975667-Ensure-dns_search_domain_unlink_marked-removes-all-marked.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=919d5ddedd5bb8b45ab9437bf42d66c2821bb074
  * core,firstboot: workaround timezone issues on Ubuntu Core (LP: #1981042)
    Thanks to Robert Ancell for preparing the patch.
    File: debian/patches/lp1981042-core-firstboot-workaround-timezone-issues-caused-by-Ubunt.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b15546361b549217908fb6ca5d473be23d7fa757
  * network: do not remove localhost address (LP: #1979951)
    File: debian/patches/lp1979951-network-do-not-remove-localhost-address.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=2cd88391cce9fe95a486ae6dd214c12f236f3881
  * units: remove the restart limit on the modprobe@.service (LP: #1982462)
    File: debian/patches/lp1982462-units-remove-the-restart-limit-on-the-modprobe-.service.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8f0acd1b2fbb8eed1259c34963e5e9b201bef900
  * pstore: do not try to load mtdpstore (LP: #1981622)
    File: debian/patches/lp1978079-efi-pstore-not-cleared-on-boot.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=15225032c3657f5906ee49d48929f9295a8664a0
  * core/mount: downgrade log level about several mkdir failures (LP: #1979952)
    Files:
    - debian/patches/lp1979952-Revert-core-mount-fail-early-if-directory-cannot-be-creat.patch
    - debian/patches/lp1979952-core-mount-downgrade-log-level-about-several-mkdir-failur.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ee8cfcf500698fab2e990de291ecf4c3ab87a4ae
  * debian/control: add Recommends: systemd-hwe-hwdb to udev.
    The systemd-hwe-hwdb brings in additional hwdb rules for HWE, so we want
    those installed with udev by default.
    File: debian/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=4a7a3258c33201cca305956820fcc6bcd6052d76
  * hwdb: implement --root option for systemd-hwdb query (LP: #1988078)
    Files:
    - debian/libsystemd0.symbols
    - debian/patches/lp1988078-hwdb-implement-root-option-for-systemd-hwdb-query.patch
    - debian/patches/lp1988078-sd-hwdb-add-sd_hwdb_new_from_path.patch
    - debian/patches/lp1988078-sd-hwdb-include-sys-stat.h-in-hwdb-internal.h.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=937fef96c858f2f2042bf71032f315647c14add0

  [ Luca Boccassi ]
  * Enable systemd-repart and ship it in a new systemd-repart package.
    (LP: #1897932)
    Add fdisk as test dependency, needed by test-repart which calls sfdisk.
    Add libfdisk-dev/libssl-dev as dependencies, needed for systemd-repart.
    Author: Luca Boccassi
    Files:
    - debian/control
    - debian/rules
    - debian/systemd-repart.install
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=debbc5e9362522210096ae5fa9da48378791e381

  [ Lukas Märdian ]
  * Add sd-repart as test depend, to avoid skipping TEST-58-REPART
    File: debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=669190653f06a6554ddf9725cbeccac65149df23

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 01 Sep 2022 08:44:50 -0400

systemd (249.11-0ubuntu3.4) jammy; urgency=medium

  [ Mustafa Kemal Gilor ]
  * d/p/lp1978079-efi-pstore-not-cleared-on-boot.patch: pstore: Run after
    modules are loaded. Thanks to Alexander Graf <graf@amazon.com>.
    (LP: #1978079)
    Author: Mustafa Kemal Gilor
    File: debian/patches/lp1978079-efi-pstore-not-cleared-on-boot.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d990b13612810a296246011ad66a165b30166702

  [ Nick Rosbrook ]
  * systemd-oomd: set ManagedOOMSwap=auto on -.slice (LP: #1972159)
    This has the effect of disabling swap kill by default, so cgroups will
    only be monitored for memory pressure, and not swap usage.
    File: debian/extra/systemd-oomd-defaults/-.slice.d/10-oomd-root-slice-defaults.conf
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=e93c944c58ec376454301e9c9b55d35be7c14a89

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Mon, 27 Jun 2022 14:28:46 -0400

systemd (249.11-0ubuntu3.3) jammy; urgency=medium

  [ Lukas Märdian ]
  * Build with and suggest fido2 and tpm libraries (LP: #1969375)
    These are used via dlopen only if available by some tools like
    systemd-cryptsetup, systemd-cryptenroll and systemd-repart,
    with graceful fallbacks if they are not found.
    Build-depend on them so that the features get compiled in
    (apart from stage1 builds), and add appropriate Suggests.
    Backport of:
    https://salsa.debian.org/systemd-team/systemd/-/commit/6b5e99f1d7f63c0c83007de9f98f7745f4a564f8
    Files:
    - debian/control
    - debian/rules
    - debian/tests/control
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=c3f5affb669794f9ebfea8d81c68b1aacdde0511


## systemd 249.11-0ubuntu3.7+11.0trisquel1

=== debian/changelog ===
systemd (249.11-0ubuntu3.7+11.0trisquel1) aramo-security; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 07 Mar 2023 20:39:28 +0000

systemd (249.11-0ubuntu3.7) jammy-security; urgency=medium

  * SECURITY UPDATE: buffer overrun vulnerability in format_timespan()
    - debian/patches/CVE-2022-3821.patch: time-util: fix buffer-over-run
    - CVE-2022-3821
  * SECURITY UPDATE: information leak vulnerability in systemd-coredump
    - debian/patches/CVE-2022-4415.patch: do not allow user to access
      coredumps with changed uid/gid/capabilities
    - CVE-2022-4415

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 02 Mar 2023 18:28:02 +0530
